Set toolkit active status
curl --request PATCH \
--url https://flowra.dev/api/v1/toolkits/byId/{id}/status \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/toolkits/byId/{id}/status"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/toolkits/byId/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flowra.dev/api/v1/toolkits/byId/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flowra.dev/api/v1/toolkits/byId/{id}/status"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://flowra.dev/api/v1/toolkits/byId/{id}/status")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flowra.dev/api/v1/toolkits/byId/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "",
"createdAt": "",
"updatedAt": "",
"deletedAt": "2024-01-01T00:00:00.000Z",
"slug": "",
"name": "",
"description": "",
"logo": "",
"appUrl": "",
"authSchemes": [
""
],
"providerManagedAuthSchemes": [
""
],
"noAuth": true,
"isDisabled": true,
"version": "",
"authConfigDetails": [
{
"name": "oauth2",
"mode": "OAUTH2",
"fields": {
"authConfigCreation": {},
"connectedAccountInitiation": {}
},
"proxy": {
"baseUrl": ""
},
"deprecatedAuthProviderDetails": {
"authorization_url": "",
"token_url": ""
}
}
],
"authFlow": "static_secret",
"authRecipe": {},
"popularityScore": 0,
"baseUrl": "",
"getCurrentUserEndpoint": "",
"provider": "COMPOSIO",
"project": {
"id": "",
"publicId": "",
"apiKeys": [
{
"id": "",
"key": "",
"name": "",
"description": "",
"project": {},
"projectId": "",
"isActive": true,
"expiresAt": "2024-01-01T00:00:00.000Z",
"lastUsedAt": "2024-01-01T00:00:00.000Z",
"permissions": [
""
],
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"name": "",
"description": "",
"userId": "",
"user": {
"id": "",
"email": "",
"password": "",
"socialAccounts": [
{}
],
"firstName": "",
"lastName": "",
"roles": [
{}
],
"sessions": [
{}
],
"projects": [
{}
],
"isActive": true,
"tokenVersion": 0,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"isActive": true,
"triggerWebhookUrl": "",
"webhookSecret": "",
"identityHmacSecret": "",
"identityJwt": {
"alg": {},
"secret": "",
"jwksUrl": "",
"issuer": "",
"audience": ""
},
"application": {
"logo": "",
"title": ""
},
"apiKeysOverride": {
"OPENROUTER_API_KEY": ""
},
"allowEndUserWorkflows": true,
"allowEndUserDatabaseCollections": true,
"allowEndUserKnowledgeCollections": true,
"region": "",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"projectId": "",
"seatBilled": true,
"regions": [
""
],
"categories": [
""
],
"seo": {},
"activeStatus": true
}
}Toolkits
Set toolkit active status
Enable or disable a toolkit without deleting it. Disabled toolkits and their tools cannot be used in workflows.
PATCH
/
api
/
v1
/
toolkits
/
byId
/
{id}
/
status
Set toolkit active status
curl --request PATCH \
--url https://flowra.dev/api/v1/toolkits/byId/{id}/status \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/toolkits/byId/{id}/status"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/toolkits/byId/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flowra.dev/api/v1/toolkits/byId/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flowra.dev/api/v1/toolkits/byId/{id}/status"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://flowra.dev/api/v1/toolkits/byId/{id}/status")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flowra.dev/api/v1/toolkits/byId/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "",
"createdAt": "",
"updatedAt": "",
"deletedAt": "2024-01-01T00:00:00.000Z",
"slug": "",
"name": "",
"description": "",
"logo": "",
"appUrl": "",
"authSchemes": [
""
],
"providerManagedAuthSchemes": [
""
],
"noAuth": true,
"isDisabled": true,
"version": "",
"authConfigDetails": [
{
"name": "oauth2",
"mode": "OAUTH2",
"fields": {
"authConfigCreation": {},
"connectedAccountInitiation": {}
},
"proxy": {
"baseUrl": ""
},
"deprecatedAuthProviderDetails": {
"authorization_url": "",
"token_url": ""
}
}
],
"authFlow": "static_secret",
"authRecipe": {},
"popularityScore": 0,
"baseUrl": "",
"getCurrentUserEndpoint": "",
"provider": "COMPOSIO",
"project": {
"id": "",
"publicId": "",
"apiKeys": [
{
"id": "",
"key": "",
"name": "",
"description": "",
"project": {},
"projectId": "",
"isActive": true,
"expiresAt": "2024-01-01T00:00:00.000Z",
"lastUsedAt": "2024-01-01T00:00:00.000Z",
"permissions": [
""
],
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"name": "",
"description": "",
"userId": "",
"user": {
"id": "",
"email": "",
"password": "",
"socialAccounts": [
{}
],
"firstName": "",
"lastName": "",
"roles": [
{}
],
"sessions": [
{}
],
"projects": [
{}
],
"isActive": true,
"tokenVersion": 0,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"isActive": true,
"triggerWebhookUrl": "",
"webhookSecret": "",
"identityHmacSecret": "",
"identityJwt": {
"alg": {},
"secret": "",
"jwksUrl": "",
"issuer": "",
"audience": ""
},
"application": {
"logo": "",
"title": ""
},
"apiKeysOverride": {
"OPENROUTER_API_KEY": ""
},
"allowEndUserWorkflows": true,
"allowEndUserDatabaseCollections": true,
"allowEndUserKnowledgeCollections": true,
"region": "",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"projectId": "",
"seatBilled": true,
"regions": [
""
],
"categories": [
""
],
"seo": {},
"activeStatus": true
}
}Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Path Parameters
Response
200 - application/json
Toolkit status updated successfully
Success status
Example:
true
Success message
Example:
"Operation completed successfully"
Show child attributes
Show child attributes
Example:
{
"id": "",
"createdAt": "",
"updatedAt": "",
"deletedAt": "2024-01-01T00:00:00.000Z",
"slug": "",
"name": "",
"description": "",
"logo": "",
"appUrl": "",
"authSchemes": [""],
"providerManagedAuthSchemes": [""],
"noAuth": true,
"isDisabled": true,
"version": "",
"authConfigDetails": [
{
"name": "oauth2",
"mode": "OAUTH2",
"fields": {
"authConfigCreation": {},
"connectedAccountInitiation": {}
},
"proxy": { "baseUrl": "" },
"deprecatedAuthProviderDetails": { "authorization_url": "", "token_url": "" }
}
],
"authFlow": "static_secret",
"authRecipe": {},
"popularityScore": 0,
"baseUrl": "",
"getCurrentUserEndpoint": "",
"provider": "COMPOSIO",
"project": {
"id": "",
"publicId": "",
"apiKeys": [
{
"id": "",
"key": "",
"name": "",
"description": "",
"project": {},
"projectId": "",
"isActive": true,
"expiresAt": "2024-01-01T00:00:00.000Z",
"lastUsedAt": "2024-01-01T00:00:00.000Z",
"permissions": [""],
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"name": "",
"description": "",
"userId": "",
"user": {
"id": "",
"email": "",
"password": "",
"socialAccounts": [{}],
"firstName": "",
"lastName": "",
"roles": [{}],
"sessions": [{}],
"projects": [{}],
"isActive": true,
"tokenVersion": 0,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"isActive": true,
"triggerWebhookUrl": "",
"webhookSecret": "",
"identityHmacSecret": "",
"identityJwt": {
"alg": {},
"secret": "",
"jwksUrl": "",
"issuer": "",
"audience": ""
},
"application": { "logo": "", "title": "" },
"apiKeysOverride": { "OPENROUTER_API_KEY": "" },
"allowEndUserWorkflows": true,
"allowEndUserDatabaseCollections": true,
"allowEndUserKnowledgeCollections": true,
"region": "",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
},
"projectId": "",
"seatBilled": true,
"regions": [""],
"categories": [""],
"seo": {},
"activeStatus": true
}
Was this page helpful?